#pragma once
#define MAX_DATA_NUM	160
#define MAX_MAP_NUM		2

class MapData
{
private:

	double map[MAX_MAP_NUM][MAX_DATA_NUM] = {0};
	double min_value = 0, max_value = 0;

public:

	MapData::MapData()
	{
	}

	int MapData::GetMaxDataNum() { return MAX_DATA_NUM; }
	int MapData::GetMaxMapNum()  { return MAX_MAP_NUM;  }

	void MapData::SetMinMax(double min, double max) {
		min_value = min;
		max_value = max;
	}

	double MapData::Set(int mapno, int index, double value) {
		if (mapno < 0 || mapno >= MAX_MAP_NUM) return -1;
		if (index < 0 || index >= MAX_DATA_NUM) return -1;

		if (value > max_value) { value = max_value; }
		if (value < min_value) { value = min_value; }

		map[mapno][index] = value;
		return value;
	}

	double MapData::Get(int mapno, int index) {
		if (mapno < 0 || mapno >= MAX_MAP_NUM) return -1;
		if (index < 0 || index >= MAX_DATA_NUM) return -1;
		return map[mapno][index];
	}

	double* MapData::GetPointer() {
		return &map[0][0];
	}

	MapData::~MapData()
	{
	}

};

