#pragma once
#include <FL/Fl_Multiline_Output.H>
#include <stdio.h>
//#include <varargs.h>

#define STRING_BUFFER_SIZE_1024	1024

class MyMsg : public Fl_Multiline_Output
{
public:
	MyMsg(int X,int Y,int W,int H,const char* l=0) : Fl_Multiline_Output(X,Y,W,H,l) {
		if (l) {
			this->label(l);
			this->align(FL_ALIGN_TOP_LEFT);
		}
	};
	void add( const char* str ) {
		position(size());
		insert( str );
	}
	void add(int n) {
		position(size());
		char p[STRING_BUFFER_SIZE_1024] = { 0 };
		sprintf_s(p, STRING_BUFFER_SIZE_1024, "%d", n);
		insert(p);
	}
	void add(float n) {
		position(size());
		char p[STRING_BUFFER_SIZE_1024] = { 0 };
		sprintf_s(p, STRING_BUFFER_SIZE_1024, "%f", n);
		insert(p);
	}
	void add(double n) {
		position(size());
		char p[STRING_BUFFER_SIZE_1024] = { 0 };
		sprintf_s(p, STRING_BUFFER_SIZE_1024, "%lf", n);
		insert(p);
	}
	void addHex(int n) {
		position(size());
		char p[STRING_BUFFER_SIZE_1024] = { 0 };
		sprintf_s(p, STRING_BUFFER_SIZE_1024, "%04x ", n);
		insert(p);
	}

	void clear() {
		replace( 0, size(), "" );
	}
};

